%define upstream_name    CDB_File
%define upstream_version 0.97

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Extension for access to cdb databases
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/M/MS/MSERGEANT/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl-devel
%description
CDB_File is a module which provides a Perl interface to Dan Berstein's cdb
package.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %{buildroot}

%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ACKNOWLEDGE CHANGES COPYRIGHT INSTALL META.yml README
%{perl_vendorarch}/auto/CDB_File
%{perl_vendorarch}/CDB_File.pm
%{perl_vendorarch}/bun-x.pl
%{_mandir}/*/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.970.0-4.mga3
+ Revision: 363424
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.970.0-3.mga3
+ Revision: 250316
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 0.970.0-2.mga2
+ Revision: 103611
- perl 5.14

* Thu Apr 07 2011 jquelin <jquelin> 0.970.0-1.mga1
+ Revision: 81739
- update to 0.97

* Fri Jan 21 2011 jquelin <jquelin> 0.960.0-2.mga1
+ Revision: 29834
- mageia rebuild
- imported package perl-CDB_File

